Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class AttachmentCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec
          weblogic.webservice.encoding.AttachmentCodec

All Implemented Interfaces:
  Serializable, Deserializer, DeserializerFactory, Serializer, SerializerFactory

Direct Known Subclasses:
  DataHandlerArrayCodec, DataHandlerCodec, ImageArrayCodec, ImageCodec, MimeMultipartCodec, StringAttachmentCodec, XMLSourceArrayCodec, XMLSourceCodec

Deprecated. please migrate to jws for webservices

    public abstract class AttachmentCodec

extends AbstractCodec

See Also:
  Serialized Form

Constructor Summary
`AttachmentCodec()` Deprecated.

Method Summary
`protected void` | `addBodyElement(XMLName name, SOAPMessage message)` Deprecated.
`Object` | `deserialize(XMLName name, Attribute att, DeserializationContext context)` Deprecated.
`protected Object` | `deserialize(XMLName name, SOAPMessage message, DeserializationContext context)` Deprecated.
`Object` | `deserialize(XMLName name, XMLInputStream reader, DeserializationContext context)` Deprecated.
`protected abstract Object` | `deserializeContent(Object content)` Deprecated.
`protected AttachmentPart` | `getAttachmentPart(XMLName name, SOAPMessage message, DeserializationContext context)` Deprecated.
`protected abstract String` | `getContentType()` Deprecated.
`protected void` | `serialize(Object input, XMLName name, SOAPMessage message, SerializationContext context)` Deprecated.
`void` | `serialize(Object obj, XMLName name, XMLOutputStream writer, SerializationContext context)` Deprecated.
`protected abstract Object` | `serializeContent(Object input)` Deprecated.

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentCodec

    public AttachmentCodec()

  Deprecated.

Method Detail

### deserialize

    protected Object deserialize(XMLName name,
                                 SOAPMessage message,
                                 DeserializationContext context)
                          throws JAXRPCException

  Deprecated.
  Throws:
    `JAXRPCException`

### deserializeContent

    protected abstract Object deserializeContent(Object content)

  Deprecated.

### addBodyElement

    protected void addBodyElement(XMLName name,
                                  SOAPMessage message)
                           throws SOAPException

  Deprecated.
  Throws:
    `SOAPException`

### serialize

    protected void serialize(Object input,
                             XMLName name,
                             SOAPMessage message,
                             SerializationContext context)
                      throws SOAPFaultException

  Deprecated.
  Throws:
    `SOAPFaultException`

### serializeContent

    protected abstract Object serializeContent(Object input)

  Deprecated.

### getContentType

    protected abstract String getContentType()

  Deprecated.

### getAttachmentPart

    protected AttachmentPart getAttachmentPart(XMLName name,
                                               SOAPMessage message,
                                               DeserializationContext context)

  Deprecated.

### deserialize

    public final Object deserialize(XMLName name,
                                    XMLInputStream reader,
                                    DeserializationContext context)
                             throws DeserializationException

  Deprecated.
  Throws:
    `DeserializationException`

### deserialize

    public final Object deserialize(XMLName name,
                                    Attribute att,
                                    DeserializationContext context)
                             throws DeserializationException

  Deprecated.
  Throws:
    `DeserializationException`

### serialize

    public final void serialize(Object obj,
                                XMLName name,
                                XMLOutputStream writer,
                                SerializationContext context)
                         throws SerializationException

  Deprecated.
  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD